We have no mechanism to actually require a QFE, and we usually recommend that you not install a QFE unless you're seeing exactly the issue the QFE is designed to address.  QFE 304 is the exception.  Download it from here.  We're recommending that it be installed on all 1.0.c controller immediately. 

 We're making this recommendation for two reasons.  First, you may be experiencing these problems and not know it until Winqual rejects your submission.  Second, our support team is seeing significant reliability improvements with this QFE.